=== debian/changelog ===
nyquist (3.04b-5) unstable; urgency=low

  * control: Add armhf, avr32, m68k, powerpcspe, and sh4 to list of
    architectures.  Closes: #614735.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Mar 2011 10:14:15 -0500

nyquist (3.04b-4) unstable; urgency=low

  * Target upload to unstable.

 -- Steven M. Robbins <smr@debian.org>  Mon, 21 Feb 2011 11:35:27 -0600

nyquist (3.04b-3) experimental; urgency=low
  
  * control: Change architecture from "any" to list of 32-bit platforms.
  
  * patches/fix-term-includes.patch: New.  Remove include of
    <asm/ioctls.h>, which doesn't exist on all architectures.

  * patches/use-system-sndfile.patch: New.  Use system libsndfile.
  * control: Build-depend on libsndfile1-dev.
  
  * patches/use-system-liblo.patch: New.  Use system liblo.
  * control: Build-depend on liblo-dev.

  * patches/use-system-portaudio.patch: New.  Use system portaudio.
  * control: Build-depend on portaudio19-dev.

 -- Steven M. Robbins <steve@debian.org>  Sun, 30 Jan 2011 13:55:53 -0600

nyquist (3.04b-2) experimental; urgency=low

  * patches/makefile.patch: remove "-m32" flag; it's not understood on
    non-x86 architectures.

  * check32.c: New. 
  * rules: Fail build if pointer is not 32 bits.
  
  * control: No longer need gcc-multilib, g++-multilib.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Jan 2011 22:42:41 -0600

nyquist (3.04b-1) experimental; urgency=low

  * New upstream.  Source tarball constructed from zip file as
    detailed in debian/Notes.
    - Remove patches applied upstream:
      - patches/correct_typo.patch
      - patches/endianness.patch
      - patches/fileread.patch
      - patches/kfreebsd.patch
    - patches/jnyqide.patch: Remove.  Equivalent functionality implemented.
  
  * patches/makefile.patch: Rework.  We now build included liblo and
    portaudio libraries because nyquist is built in 32-bit mode and thus
    needs to be linked against 32-bit versions of these supporting
    libraries.
  * control: Remove build-deps liblo-dev, portaudio19-dev.  Add build
    deps (for 64-bit arches) on gcc-multilib and g++-multilib for
    required 32-bit libraries.

  * control:
  * rules: 
  * patches/makefile.patch: Refresh config.sub, config.guess.  Set
    build-deps and invoke configure according to autotools-dev.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Jan 2011 17:37:45 -0600

nyquist (3.03-2) experimental; urgency=low

  * patches/kfreebsd.patch: New.  Fixes for kFreeBSD.  Adapted from Cyril
    Brulebois's kfreebsd patch.  Closes: #415103.
  
  * patches/endianness.patch: New.  Fixes detection and error reporting of
    endianness.  Adapted from Cyril Brulebois's kfreebsd patch.

  * jny:
  * links:
  * install: Install jNyqIDE.jar, NyquistWords.txt into
    /usr/share/nyquist/jnyqide.  Symlink the doc files.
  
  * patches/jnyqide.patch: Exec("ny") to use PATH search mechanism rather
    than hardcoding exec("./ny").

  * jny.1: New.  Basic manpage for jny.
  
 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Dec 2010 22:34:37 -0600

nyquist (3.03-1) experimental; urgency=low

  * New upstream.  Closes: #442807.
    - patches/xlisp.patch:
    - patches/netinet-conflicting-sendmsg.patch:
    - patches/errno.patch: Remove.  Applied upstream.

  * Package maintenance (Nick Andrik <nick.andrik@gmail.com>)
    - Added debian/watch file
    - Support for jNyqIDE
      + debian/control: Added java dependencies
      + debian/rules: Added javahelper usage
      + debian/jny: Script wrapper installed into /usr/bin
      + debian/jlibs: Added file specifying jnyqide/jNyqIDE.jar
    - Saner directory hierarchy
      + debian/ny_wrapper: Renamed to debian/ny, installed into usr/bin
      + ny: The default executable is installed into /usr/lib/nyquist/ny
      + There is only one manpage, referring to ny
    - debian/doc-base
      + Added file to point in the doc/home.html manual page
    - Use external packages for the supporting libraries and ignore the 
      included versions
      + Added liblo-dev, libsndfile1-dev, portaudio19-dev build dependencies
        in debian/control
      + Removed support for building them from the Makefile
    - debian/patches
      + fileread.patch: Include <cstdio> in nyqstk/src/FileRead.cpp
      + makefile.patch: Avoid building supporting libraries in the Makefile
      + correct_typo.patch: A small typo fix in nylsf/sndfile.c

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Dec 2010 21:57:47 -0600

nyquist (2.29-8) experimental; urgency=low

  * rules: Re-write using "dh".
  
  * compat: Set to level 8.
  
  * menu:: Correct syntax errors.

  * patches/netinet-conflicting-sendmsg.patch: New. Replaces modified
    sndwrite.c in svn.
  * patches/errno.patch: New.  Replaces modified osstuff.c in svn.
  * patches/xlisp.patch: New.  Replaces modified xlisp.h in svn.

  * control: Move homepage to header.  Set Standards-Version to 3.9.1.
    Remove libreadline5-dev build-dep.  Closes: #553818.
  
  * ny_wrapper: Pass command line options.  Closes: #377838.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Dec 2010 07:19:42 -0600

nyquist (2.29-7) experimental; urgency=low

  * New maintainer.  Closes: #483581, 595528.

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Dec 2010 05:47:20 -0600

nyquist (2.29-6) unstable; urgency=low

  * Rebuild with libreadline5 (closes: #326312)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 28 Sep 2005 19:10:46 +0200

nyquist (2.29-5) unstable; urgency=low

  * amd64/gcc-3.4 patch from Andreas Jochens (closes: #280269)

 -- Hans Fugal <hans@fugal.net>  Tue, 30 Nov 2004 09:33:31 -0700

nyquist (2.29-4) unstable; urgency=low

  * Upgraded to policy 3.6.1 (no changes)
  * MIPS getenv patch applied (closes: #241540)

 -- Hans Fugal <hans@fugal.net>  Thu, 01 Apr 2004 19:27:54 -0700

nyquist (2.29-3) unstable; urgency=low

  * Added changelog entry for last upload.

 -- Hans Fugal <hans@fugal.net>  Mon, 08 Mar 2004 22:24:12 -0700

nyquist (2.29-2) unstable; urgency=low


