=== debian/control ===
Source: nyquist
Homepage: http://www.cs.cmu.edu/~music/nyquist/
Section: sound
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 8), javahelper, autoconf, automake1.11, libtool (>= 2.2.6),
 default-jdk, libsndfile1-dev, liblo-dev, portaudio19-dev
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/nyquist/trunk/?op=log
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/nyquist/trunk
Standards-Version: 3.9.1

Package: nyquist
Architecture: arm armel armhf any-i386 avr32 m68k mips mipsel powerpc powerpcspe sh4 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a language for music composition and sound synthesis
 Unlike score languages that tend to deal only with events, or signal
 processing languages that tend to deal only with signals and synthesis,
 Nyquist handles both in a single integrated system. Nyquist is also flexible
 and easy to use because it is based on an interactive Lisp interpreter
 (XLISP).
 .
 With Nyquist, you can design instruments by combining functions (much as you
 would using the orchestra languages of Music V, cmusic, or Csound). You can
 call upon these instruments and generate a sound just by typing a simple
 expression. You can combine simple expressions into complex ones to create a
 whole composition.
