=== debian/changelog ===
nyquist (3.05-2ubuntu1) raring; urgency=low

  * patches/intgen-avoid-overlapping-strcpy.patch: avoid illegal
    overlapping strcpy invocation.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 22 Apr 2013 16:49:36 +0100

nyquist (3.05-2) unstable; urgency=low

  * patches/remove-corba-reference.diff: remove unnecessary import.
    Closes: #622197.

  * lintian fixes:
    - source/lintian-overrides: new.
    - control: Add build-dep for autotools-dev.  Update standards-version, 
      description.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Jul 2012 20:57:02 -0500

nyquist (3.05-1) unstable; urgency=low

  * New upstream.  Closes:#642828.
  
  * copyright: Add statement concerning relicencing of xlisp, to address
    concerns in #631646.

 -- Steve M. Robbins <smr@debian.org>  Fri, 21 Oct 2011 21:54:51 -0500
