=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  export DEB_CONFFLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  export DEB_CONFFLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	cc debian/check32.c && ./a.out
	ln -s sys/unix/nonalsa/Makefile

override_dh_clean:
	dh_clean
	[ -e Makefile ] && $(MAKE) cleaner || true
	rm -f nyqsrc/sndfnintptrs.h nyqsrc/sndfnint.c nyqsrc/sndfnintdefs.h
	rm -f nyqsrc/seqfnintptrs.h nyqsrc/seqfnint.c nyqsrc/seqfnintdefs.h
	rm -f jnyqide/*.class jnyqide/*.jar
	rm -f runtime/system.lsp
	rm -f */config.status */config.log */config.cache
	rm -f Makefile

override_dh_install:
	dh_install
	chmod -x debian/nyquist/usr/share/nyquist/lib/*.lsp
