=== debian/watch ===
version=3
opts="uversionmangle=s/..$/.$0/" \
http://qa.debian.org/watch/sf.php/nyquist/ nyqsrc(.+).zip
